[tox]
toxworkdir = {env:TMPDIR:/tmp}/tox-{env:USER}/barbacompta/{env:BRANCH_NAME:}
envlist = py3

[testenv]
setenv =
  DJANGO_SETTINGS_MODULE=eo_gestion.settings
  BARBACOMPTA_SETTINGS_FILE=tests/settings.py
deps =
  Django<2
  psycopg2-binary
  pytest
  pytest-cov
  pytest-django
  pytest-freezegun
  httmock
  pylint
  pylint-django
  django-webtest
  django-mellon
  pdbpp
commands =
  py.test {posargs: --junitxml=junit-{envname}.xml --cov-report xml --cov-report html --cov=eo_gestion/ tests/}

[testenv:manage]
setenv =
  DJANGO_SETTINGS_MODULE=eo_gestion.settings
commands =
  ./manage.py {posargs:--help}

[testenv:pylint]
basepython = python3
deps=
  django>=1.11,<1.12
  pylint
  pylint-django
  uwsgidecorators
commands =
  ./pylint.sh eo_gestion/

[pytest]
filterwarnings=
  ignore:Using or importing the ABCs from
junit_family=xunit2
